
Installer - Bug #2629

Enable gpgcheck on yum repos

06/07/2013 04:46 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The 1.2 RC and release repos will be GPG signed, so yum repos should be configured in the puppet modules with gpgcheck=1 and

the GPG key correctly configured to the HTTP URL.  The foreman-release RPM already configures this for the GPG key on disk, but

a user who doesn't get foreman-release first won't have this file.

1.1 and nightly RPMs won't be signed, so we should have a way of disabling this.

Related issues:

Related to Packaging - Feature #2106: Sign RPM Packages with GPG Key Closed 01/04/2013

Associated revisions

Revision fc9960ad - 06/13/2013 11:50 AM - Dmitri Dolguikh 

fixes #2629 - gpgcheck is now enabled on rc and stable repositories

History

#1 - 06/11/2013 06:06 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#2 - 06/13/2013 08:19 AM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/puppet-foreman/pull/80

#3 - 06/13/2013 01:19 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

#4 - 07/10/2018 02:44 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
